Products
Stockrecords Partial Update
Partial update an existing stockrecord.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Path Parameters
id*integer
A unique integer value identifying this Stock record.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X PATCH "https://example.com/stockrecords/0/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{}'{ "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "id": 0, "location": { "accept_return": true, "address": { "country": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "allowed_destination_countries": [ "string" ], "callback_url": "http://example.com", "id": 0, "name": "string" }, "low_stock_threshold": 0, "net_stock_level": 0, "num_allocated": -2147483648, "num_in_stock": -2147483648, "product": { "id": 0, "name": "string" }, "sku": "string"}